import request from '@/utils/request'

// 查询网站新闻列表
export function listNEWS(query) {
  return request({
    url: '/news/list',
    method: 'get',
    params: query
  })
}

// 查询网站新闻所有列表
export function listAllNEWS(query) {
  return request({
    url: '/news/listAll',
    method: 'get',
    params: query
  })
}

// 查询网站新闻详细
export function getNEWS(id) {
  return request({
    url: '/news/getInfo/' + id,
    method: 'get'
  })
}

// 新增网站新闻
export function addNEWS(data) {
  return request({
    url: '/news/add',
    method: 'post',
    data: data
  })
}

// 修改网站新闻
export function updateNEWS(data) {
  return request({
    url: '/news/edit',
    method: 'post',
    data: data
  })
}

// 修改网站新闻
export function updateAndex(data) {
  return request({
    url: '/news/audit',
    method: 'post',
    data: data
  })
}

// 删除网站新闻
export function delNEWS(id) {
  return request({
    url: '/news/remove/' + id,
    method: 'get'
  })
}

// 上传文件
export function upload(data) {
  return request({
    url: '/common/upload/',
    method: 'post',
    data:data
  })
}


// 置顶
export function setTop(data) {
  return request({
    url: '/news/top',
    method: 'post',
    data:data
  })
}


// 提交审核   暂存提交  驳回提交   新增新闻都需要调用这个
export function newCommit(CbNewsVo) {
  return request({
    url: '/news/audit/',
    method: 'post',
    data:CbNewsVo
  })
}


// 获取文件流
export function downloadpic(data) {
  return request({
    url: '/common/download?delete=false&fileName=' + data ,
    method: 'get',
    responseType: "blob"
  })
}


